package com.ruoyi.screen.service.impl;

import com.ruoyi.screen.domain.response.ZongzhiAppraiserCompleteResponse;
import com.ruoyi.screen.domain.response.ZongzhiAppraiserResponse;
import com.ruoyi.screen.domain.response.ZongzhiArticlesResponse;
import com.ruoyi.screen.mapper.ZongzhiScreenNetworkEcologyMapper;
import com.ruoyi.screen.service.ZongzhiScreenNetworkEcologyService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 太仓综治网络生态实现层
 */
@Service
public class ZongzhiScreenNetworkEcologyServiceImpl implements ZongzhiScreenNetworkEcologyService {

    @Resource
    private ZongzhiScreenNetworkEcologyMapper zongzhiScreenNetworkEcologyMapper;

    @Override
    public List<ZongzhiArticlesResponse> getArticles() {
        return zongzhiScreenNetworkEcologyMapper.getArticles();
    }

    @Override
    public List<ZongzhiAppraiserResponse> getAppraiser() {
        return zongzhiScreenNetworkEcologyMapper.getAppraiser();
    }

    @Override
    public List<ZongzhiAppraiserCompleteResponse> getAppraiserComplete() {
        return zongzhiScreenNetworkEcologyMapper.getAppraiserComplete();
    }
}
